package com.jeequan.jeepay.thirdparty.channel.lklsb2bpay.model;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * TODO
 *
 * @author crystal
 * @date 2023/6/2 18:17
 */
public class Lklsb2bPayMethod {

    public static final String DOMAIN = "https://s2.lakala.com";

    /**
     * 拉卡支付路径配置
     */
    @Getter
    @AllArgsConstructor
    public enum Api{
        TRANS_PREORDER(DOMAIN + "/api/v3/labs/trans/preorder","聚合主扫"),
        TRANS_MICROPAY(DOMAIN + "/api/v3/labs/trans/micropay","聚合被扫"),
        TRANS_QUERY(DOMAIN + "/api/v3/labs/query/tradequery","聚合扫码-交易查询"),
        ORDER_CLOSE(DOMAIN + "/api/v3/labs/relation/close","聚合扫码-关单"),
        ORDER_REVOKED(DOMAIN + "/api/v3/labs/relation/revoked","扫码-撤销"),
        ORDER_REFUND(DOMAIN + "/api/v3/labs/relation/refund","扫码-退款交易"),
        IDM_REFUND(DOMAIN + "/api/v3/labs/relation/idmrefund","商户订单退款"),
        IDM_REFUND_QUERY(DOMAIN + "/api/v3/labs/query/idmrefundquery","商户订单退款查询"),
        USERID_QUERY(DOMAIN + "/api/v2/saas/query/wx_openid_query","获取用户ID"),

        CASHIER_ORDER(DOMAIN + "/api/v3/ccss/counter/order/create","聚合收银台"),
        CASHIER_QUERY(DOMAIN + "/api/v3/ccss/counter/order/query","聚合收银台订单查询"),
        CASHIER_CLOSE(DOMAIN + "/api/v3/ccss/counter/order/close","聚合收银台订单关闭"),

        MERC_LEDGER_OPEN(DOMAIN + "/api/v2/mms/openApi/ledger/applyLedgerMer","商户分账申请开通"),
        MERC_LEDGER_CHANGE(DOMAIN + "/api/v2/mms/openApi/ledger/modifyLedgerMer","商户分账信息变更"),
        MERC_LEDGER_QUERY(DOMAIN + "/api/v2/mms/openApi/ledger/queryLedgerMer","商户分账信息查询"),

        SETTLE_QUERY(DOMAIN + "/api/v2/searcher/transferMoney/queryTransferMoney","结算信息查询"),

        ORDER_FEE_QUERY(DOMAIN + "/api/v3/lams/merchant/query_trans","商户计费查询"),
        UPLOAD(DOMAIN + "/api/v2/mms/openApi/uploadFile","附件上传"),

        UNIFY_REFUND(DOMAIN + "/api/v3/lams/trade/trade_refund","统一退货"),
        UNIFY_REFUND_QUERY(DOMAIN + "/api/v3/lams/trade/trade_refund_query","退货查询"),
        WECHAT_PARAMS_CONFIG_URL(DOMAIN + "/api/v2/mms/openApi/wechatParamConf","微信参数配置"),

        DEVICE_SPEAKER_BOX_ACTIVATE_URL(DOMAIN + "/api/v2/iot/cloud/device/activate","码牌音响激活"),
        DEVICE_SPEAKER_BOX_DEACTIVATE_URL(DOMAIN + "/api/v2/iot/cloud/device/deactivate","码牌音响反激活"),
        DEVICE_SPEAKER_BOX_ACTIVATE_STATUS_QUERY_URL(DOMAIN + "/api/v2/iot/cloud/device/activate/status","码牌音箱激活状态查询"),
        DEVICE_SPEAKER_BOX_PUSH_QRCODE_URL(DOMAIN + "/api/v2/iot/cloud/pushQrcode","推送收款二维码至设备"),
        DEVICE_SPEAKER_BOX_QUERY_SN_URL(DOMAIN + "/v2/iot/cloud/query/activate/by/mt","商终查询激活的SN"),
        ;

        private final String url;
        private final String desc;
    }


    @Getter
    @AllArgsConstructor
    public enum NeedQuery{
        YES("1","订单处理中需要查询"),
        NO("0","不需要主动查询"),;
        private final String status;
        private final String desc;
    }
}
